Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.pietschy.command.group
Enum SeparatorMode

    java.lang.Object
      java.lang.Enum<SeparatorMode>
          com.pietschy.command.group.SeparatorMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SeparatorMode>

    public enum SeparatorMode

extends java.lang.Enum<SeparatorMode>

Defines the standard separator modes for expansion points. See `GroupBuilder.addExpansionPoint(SeparatorMode)`.

Enum Constant Summary
`AFTER` Places a separators at the end.
`AROUND` Places a separators at the start and end.
`AROUND_ALL` Places a separator at the start and end and between each member.
`BEFORE` Places a separator at the start.
`NONE` No separators are used.

Method Summary
`static SeparatorMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SeparatorMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SeparatorMode NONE

  No separators are used.

### BEFORE

    public static final SeparatorMode BEFORE

  Places a separator at the start.

### AFTER

    public static final SeparatorMode AFTER

  Places a separators at the end.

### AROUND

    public static final SeparatorMode AROUND

  Places a separators at the start and end.

### AROUND_ALL

    public static final SeparatorMode AROUND_ALL

  Places a separator at the start and end and between each member.

Method Detail

### values

    public static final SeparatorMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SeparatorMode c : SeparatorMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SeparatorMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 - 2007 Andrew Pietsch